program chap2_3;

uses graph;

type point=record
       xw, yw, zw : real;
       xs, ys, zs : integer;
     end;

var vertex : array[1..18] of point;
    edges : array[1..27,1..27] of integer;
    f : text;
    c, c2, hither : integer;

procedure Initialise_Graphics;
var
   Graphdriver, Graphmode, Errorcode : integer;
   lasttime : real;
   junk : char;
begin
     Graphdriver:=Detect;
     InitGraph(Graphdriver, Graphmode,'C:\DRIVERS');
     Errorcode:=graphresult;
     if Errorcode<>grOk then
     begin
          writeln('Graphics Error: ',GraphErrorMsg(ErrorCode));
          writeln('Program Aborted');
          Halt(1);
     end;
     SetLineStyle(0,0,3);
end;

procedure draw_picture;
var c : integer;
begin
     ClearDevice;
     for c:=1 to 27 do
          line(vertex[edges[c,1]].xs,vertex[edges[c,1]].ys,vertex[edges[c,2]].xs,vertex[edges[c,2]].ys);
end;

procedure transform;
begin
     for c:=1 to 18 do
     begin
         vertex[c].xs:=round(vertex[c].xw);
         vertex[c].ys:=round(vertex[c].yw);
         vertex[c].zs:=round(vertex[c].zw);
     end;
end;


begin
     {Read in vertices}
     assign(f,'points.dat');
     reset(f);
     for c:=1 to 18 do
     begin
          readln(f,vertex[c].xw,vertex[c].yw,vertex[c].zw);
     end;
     close(f);

     {Move to z=500}
     for c:=1 to 18 do
     begin
          vertex[c].zw:=vertex[c].zw+500;
     end;

     {Read in edges}
     assign(f,'edges.dat');
     reset(f);
     for c:=1 to 27 do
         readln(f,edges[c,1], edges[c,2]);
     close(f);

     Initialise_Graphics;

     transform;
     draw_picture;
     repeat until keypressed;
     Close_Graph;
end.